//-----------------------------------------------------------------------------
// Fxxx_TargetBL_Config.h
//-----------------------------------------------------------------------------
// Copyright (C) 2010 Silicon Laboratories, Inc.
// http://www.silabs.com
//
// Program Description:
//
//
//
// Target:         Any Silicon Labs C8051 MCU
// Tool chain:     Generic
// Command Line:   None
//
//
// Release 1.0 / 01SEP2010 (PKC)
//    -Initial Revision
//
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#ifndef _FXXX_TARGETBL_CONFIG_H_
#define _FXXX_TARGETBL_CONFIG_H_

//-----------------------------------------------------------------------------
// Global CONSTANTS - Available to all modules
//-----------------------------------------------------------------------------

// ---------------------------------
// General Constants
// ---------------------------------
#define SYSCLK 24000000UL              // SYSCLK frequency in Hz

// ---------------------------------
// Target BL Config Options
// ---------------------------------

#define CODE_BANKING             0     // 0=Disabled;  1=Enabled
#define BOOTLOADER_PIN_OVERRIDE  1     // 0=Disabled;  1=Enabled

// This length should be equal to BLIBO_END_VALUE in 'Fxxx_Target_Interface.h'
#define TGT_BL_FW_INFOBLOCK_LENGTH  16   // See documentation

#define TGT_BL_FW_VERSION_LOW    0x00
#define TGT_BL_FW_VERSION_HIGH   0x01

// Specify 24-bit linear addresses here (do not use banked 16-bit addresses)
#define BL_FW_INFOBLOCK_ADDR     0xFBFE   // Points to BL InfoBlock length byte

// Signature Bytes
#define SIG_BYTE0                0x3D
#define SIG_BYTE1                0xC2

// Buffer Lenghts
#define RX_BUF_LENGTH            TGT_BL_BUF_SIZE

// TX buffer has to be able to hold Target BL & App Infoblocks PLUS 1 byte
// App FW InfoBlock length is not defined in this project; so, guess a value as 
// big as the BL FW InfoBlock length.
#define TX_BUF_LENGTH            ((TGT_BL_FW_INFOBLOCK_LENGTH*2)+1)    

//-----------------------------------------------------------------------------
// Enums, Structs, Unions and Typedefs - Available to all modules
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// "Public" Global Variables - Externs - Available to all modules
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// "Public" Function Prototypes - Externs - Available to all modules
//-----------------------------------------------------------------------------



//-----------------------------------------------------------------------------
// Header file include-once preprocessor directive
//-----------------------------------------------------------------------------

#endif // #ifndef _FXXX_TARGETBL_CONFIG_H_

//-----------------------------------------------------------------------------
// End Of File
//-----------------------------------------------------------------------------
